<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__stack__pvt_8h" kind="file" language="C++">
    <compoundname>cy_ble_stack_pvt.h</compoundname>
    <includes local="yes" refid="cy__ble__stack_8h">cy_ble_stack.h</includes>
    <includes local="yes">cy_sysclk.h</includes>
    <includes local="yes">cy_syspm.h</includes>
    <includedby local="yes" refid="cy__ble__hal__pvt_8h">cy_ble_hal_pvt.h</includedby>
    <includedby local="yes" refid="cy__ble_8c">cy_ble.c</includedby>
    <includedby local="yes" refid="cy__ble__controller_8c">cy_ble_controller.c</includedby>
    <incdepgraph>
      <node id="205">
        <label>cy_ble_stack_pvt.h</label>
        <link refid="cy__ble__stack__pvt_8h" />
        <childnode refid="206" relation="include">
        </childnode>
        <childnode refid="207" relation="include">
        </childnode>
      </node>
      <node id="206">
        <label>cy_sysclk.h</label>
      </node>
      <node id="207">
        <label>cy_syspm.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcy__stc__ble__ipc__ctrl__msg">cy_stc_ble_ipc_ctrl_msg</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__ble__stack__pvt_8h_1a8142b897614c6d0a3a7499b6ecf38a5e" kind="define" prot="public" static="no">
        <name>CY_BLE_INTR_TX_SUCCESS</name>
        <initializer>0x00u</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="105" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="105" />
      </memberdef>
      <memberdef id="cy__ble__stack__pvt_8h_1a8a1dfbcf878f8edba5d876ba4010b687" kind="define" prot="public" static="no">
        <name>CY_BLE_INTR_TX_DONE</name>
        <initializer>0x00u</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="106" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="106" />
      </memberdef>
      <memberdef id="cy__ble__stack__pvt_8h_1a8984ad812732128dbf031d3b85f81fab" kind="define" prot="public" static="no">
        <name>CY_BLE_INTR_TX_OVERFLOW</name>
        <initializer>0x01u</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="107" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="107" />
      </memberdef>
      <memberdef id="cy__ble__stack__pvt_8h_1a1e95d6b82b6801958ed25bdddb42f54a" kind="define" prot="public" static="no">
        <name>CY_BLE_INTR_RX_SUCCESS</name>
        <initializer>0x00u</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="109" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="109" />
      </memberdef>
      <memberdef id="cy__ble__stack__pvt_8h_1aa07a0052e77b8e345ef1b8a251c68fcb" kind="define" prot="public" static="no">
        <name>CY_BLE_INTR_RX_NOT_EMPTY</name>
        <initializer>0x00u</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="110" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="110" />
      </memberdef>
      <memberdef id="cy__ble__stack__pvt_8h_1a3015aa20352229d73148c9a30757d84c" kind="define" prot="public" static="no">
        <name>CY_BLE_INTR_RX_OVERFLOW</name>
        <initializer>0x01u</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="111" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="111" />
      </memberdef>
      <memberdef id="cy__ble__stack__pvt_8h_1a33258cc029e15f1cf57e366972239544" kind="define" prot="public" static="no">
        <name>CY_BLE_INTR_RX_FRAME_ERROR</name>
        <initializer>0x02u</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="112" />
      </memberdef>
      <memberdef id="cy__ble__stack__pvt_8h_1acc2af85315c6fb9b126a8859ad9515de" kind="define" prot="public" static="no">
        <name>CY_BLE_INTR_RX_PARITY_ERROR</name>
        <initializer>0x04u</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="113" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="113" />
      </memberdef>
      <memberdef id="cy__ble__stack__pvt_8h_1aa52eab9c16b51b00400652202c69d239" kind="define" prot="public" static="no">
        <name>CY_BLE_STACK_ALIGN_TO_4</name>
        <param><defname>x</defname></param>
        <initializer>((((x) &amp; 3u) == 0u) ?    \
                                        (x) :                    \
                                        (((x) - ((x) &amp; 3u)) + 4u))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" bodystart="117" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="117" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a310637a12b7a6947adbc07b2c8bc33e7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_ControllerIpcHalSendEnqueue</definition>
        <argsstring>(cy_stc_ble_ipc_ctrl_msg *msg)</argsstring>
        <name>Cy_BLE_ControllerIpcHalSendEnqueue</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__ipc__ctrl__msg">cy_stc_ble_ipc_ctrl_msg</ref> *</type>
          <declname>msg</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="57" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a1352c8a22fd39041b46a78c96b29ef5d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_LlIsrExitLowPowerMode</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_LlIsrExitLowPowerMode</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="58" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1ae2a6c27fdefc15f79a675126b95c95df" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_BLE_HAL_BlessInterruptHandler</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_BlessInterruptHandler</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="66" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a4086f48ec7dc0299cd4f0d0cfcd8b880" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_UartTxCompltHandler</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_UartTxCompltHandler</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="71" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a0d018a1d0e2018fa5867356aa4a23246" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_UartRxDataHandler</definition>
        <argsstring>(uint8_t byte)</argsstring>
        <name>Cy_BLE_HAL_UartRxDataHandler</name>
        <param>
          <type>uint8_t</type>
          <declname>byte</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="74" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a5b0972c983160532fb9617c2ba403b52" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_HciTransportHandler</definition>
        <argsstring>(char_t packet, uint16_t packet_len)</argsstring>
        <name>Cy_BLE_HAL_HciTransportHandler</name>
        <param>
          <type>char_t</type>
          <declname>packet</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>packet_len</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="77" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a29df8770f18b4f9f25ae58d15c4f71f7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_SoftControllerProcessEventsWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_SoftControllerProcessEventsWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="80" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1aded20934ad7e22ad7850f76055010daf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_ControllerEnablePrivacyFeatureWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_ControllerEnablePrivacyFeatureWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="81" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1aa03dc79243269a4e7c6ca75d6143db3b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_ControllerEnableDleFeatureWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_ControllerEnableDleFeatureWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="82" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1ae28bb220d4d3211bd4ad84a705b7463a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_ControllerEnablePhyUpdateFeaturWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_ControllerEnablePhyUpdateFeaturWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="83" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a77b2097c5691440a9b0707bdd5d0744c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_ControllerSetFeatureConfigWrapper</definition>
        <argsstring>(const cy_stc_ble_stack_config_param_t *configParam, uint16_t *featureHeapReq)</argsstring>
        <name>Cy_BLE_HAL_ControllerSetFeatureConfigWrapper</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__stack__config__param__t">cy_stc_ble_stack_config_param_t</ref> *</type>
          <declname>configParam</declname>
        </param>
        <param>
          <type>uint16_t *</type>
          <declname>featureHeapReq</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="84" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1aff7b2704a4c4ac463e7cc707e68ba913" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_en_ble_lp_mode_t</type>
        <definition>cy_en_ble_lp_mode_t Cy_BLE_HAL_ControllerEnterLPMWrapper</definition>
        <argsstring>(cy_en_ble_lp_mode_t pwrMode)</argsstring>
        <name>Cy_BLE_HAL_ControllerEnterLPMWrapper</name>
        <param>
          <type>cy_en_ble_lp_mode_t</type>
          <declname>pwrMode</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="85" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1abe43990b678ff5ebbbac5406dc1a3f39" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_ControllerValidateInputParamsWrapper</definition>
        <argsstring>(const cy_stc_ble_stack_init_info_t *initParam)</argsstring>
        <name>Cy_BLE_HAL_ControllerValidateInputParamsWrapper</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__stack__init__info__t">cy_stc_ble_stack_init_info_t</ref> *</type>
          <declname>initParam</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="86" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a82974f58911e44f1c802c30293843331" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_ControllerGetHeapMemoryWrapper</definition>
        <argsstring>(uint16_t *memorySize)</argsstring>
        <name>Cy_BLE_HAL_ControllerGetHeapMemoryWrapper</name>
        <param>
          <type>uint16_t *</type>
          <declname>memorySize</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="87" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a6186df75416e96478f7cc5ea57f0262c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_en_ble_lp_mode_t</type>
        <definition>cy_en_ble_lp_mode_t Cy_BLE_HAL_ControllerExitLPMWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_ControllerExitLPMWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="88" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1abb113780fdbd0bed00f4e7e47f78aa87" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_ControllerInitWrapper</definition>
        <argsstring>(cy_stc_ble_stack_init_info_t *initParam)</argsstring>
        <name>Cy_BLE_HAL_ControllerInitWrapper</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__stack__init__info__t">cy_stc_ble_stack_init_info_t</ref> *</type>
          <declname>initParam</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="89" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1ad342a8fcd201594ced2bc7cd90bc031d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_Pilo_InitCalibrationWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_Pilo_InitCalibrationWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="90" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a8d6b5d88b269c3821c49bfb5aae094f2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_Pilo_TriggerCalibrationWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_Pilo_TriggerCalibrationWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="91" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a38195da6a3f872cc10e9395d8ee2a58d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_ControllerGetInternalHeapReqWrapper</definition>
        <argsstring>(uint16_t *memorySize)</argsstring>
        <name>Cy_BLE_HAL_ControllerGetInternalHeapReqWrapper</name>
        <param>
          <type>uint16_t *</type>
          <declname>memorySize</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="92" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a3d7e8bbc0072052f7602e924b7d078e9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_StackMgr_BleSSInitWrapper</definition>
        <argsstring>(uint8 persistRadioCal)</argsstring>
        <name>Cy_BLE_HAL_StackMgr_BleSSInitWrapper</name>
        <param>
          <type>uint8</type>
          <declname>persistRadioCal</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="93" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1ac1dc08398a99cdeb638725f1f9aef131" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_ControllerResetWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_ControllerResetWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="94" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1aa940072160ac9f90f5ea8d6fb15eb178" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_StackMgr_BleSSShutdownWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_StackMgr_BleSSShutdownWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="95" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a40e1bbda6397d34da0fd90777782ec10" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_Pilo_ShutdownCalibrationWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_Pilo_ShutdownCalibrationWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="96" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a71c8e03dfeea890e30c2b15260e38038" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="compound" refid="structcy__stc__ble__stack__config__param__t">cy_stc_ble_stack_config_param_t</ref> *</type>
        <definition>cy_stc_ble_stack_config_param_t* Cy_BLE_HAL_StackGetConfigPtrWrapper</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_StackGetConfigPtrWrapper</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="97" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1a1c7c764addc7c2e278c37bda537c059b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void *</type>
        <definition>void* Cy_BLE_HAL_llf_task_start_routineWrapper</definition>
        <argsstring>(void *args)</argsstring>
        <name>Cy_BLE_HAL_llf_task_start_routineWrapper</name>
        <param>
          <type>void *</type>
          <declname>args</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="98" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__stack__pvt_8h_1ac4d7cb79286b7e9a15b2d51ea0fa5922" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_BT_timer_process_signalsWrapper</definition>
        <argsstring>(void *arg)</argsstring>
        <name>Cy_BLE_HAL_BT_timer_process_signalsWrapper</name>
        <param>
          <type>void *</type>
          <declname>arg</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" line="99" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the function prototypes and constants for the HAL section. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.50</para></simplesect>
Note:</para><para><simplesect kind="copyright"><para>Copyright 2017-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/**************************************************************************/</highlight></codeline>
<codeline lineno="18"><highlight class="preprocessor">#ifndef<sp />CY_BLE_CY_BLE_STACK_PVT_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_CY_BLE_STACK_PVT_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble_stack.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sysclk.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syspm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="comment">/*<sp />C<sp />binding<sp />of<sp />definitions<sp />if<sp />building<sp />with<sp />C++<sp />compiler<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="32"><highlight class="comment">*<sp />Data<sp />Types</highlight></codeline>
<codeline lineno="33"><highlight class="comment">***************************************/</highlight></codeline>
<codeline lineno="37" refid="structcy__stc__ble__ipc__ctrl__msg" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal">{</highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />clientID;</highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />pktType;</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp />intrRelMask;</highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp />pktDataPointer;</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp />pktMetaData;</highlight></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal">}<ref kindref="compound" refid="structcy__stc__ble__ipc__ctrl__msg">cy_stc_ble_ipc_ctrl_msg</ref>;</highlight></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="54"><highlight class="comment">*<sp /><sp /><sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="55"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_ControllerIpcHalSendEnqueue(<ref kindref="compound" refid="structcy__stc__ble__ipc__ctrl__msg">cy_stc_ble_ipc_ctrl_msg</ref>*<sp />msg);</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_LlIsrExitLowPowerMode(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="62"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp />Stack<sp />manager<sp />prototypes</highlight></codeline>
<codeline lineno="63"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="comment">/*<sp />External<sp />definitions<sp />for<sp />BLE<sp />Stack<sp />ISR<sp />handler<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />Cy_BLE_HAL_BlessInterruptHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="comment">/*<sp />To<sp />be<sp />used<sp />only<sp />for<sp />HCI_MODE<sp />and<sp />in<sp />Debug<sp />mode</highlight></codeline>
<codeline lineno="69"><highlight class="comment">*<sp />where<sp />the<sp />logger<sp />serial<sp />port<sp />is<sp />enabled</highlight></codeline>
<codeline lineno="70"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_UartTxCompltHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="comment">/*<sp />To<sp />be<sp />used<sp />only<sp />for<sp />HCI_MODE<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_UartRxDataHandler(uint8_t<sp />byte);</highlight></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="comment">/*<sp />To<sp />be<sp />used<sp />only<sp />for<sp />Host<sp />MODE<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_HciTransportHandler(char_t<sp />packet,<sp />uint16_t<sp />packet_len);</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="comment">/*<sp />To<sp />be<sp />used<sp />only<sp />for<sp />Host<sp />UART/Soft<sp />HCI<sp />Mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_SoftControllerProcessEventsWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_ControllerEnablePrivacyFeatureWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_ControllerEnableDleFeatureWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_ControllerEnablePhyUpdateFeaturWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_ControllerSetFeatureConfigWrapper(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__stack__config__param__t">cy_stc_ble_stack_config_param_t</ref><sp />*configParam,uint16_t<sp />*featureHeapReq);</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_en_ble_lp_mode_t<sp />Cy_BLE_HAL_ControllerEnterLPMWrapper(cy_en_ble_lp_mode_t<sp />pwrMode);</highlight></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_ControllerValidateInputParamsWrapper(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__stack__init__info__t">cy_stc_ble_stack_init_info_t</ref><sp />*initParam);</highlight></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_ControllerGetHeapMemoryWrapper(uint16_t<sp />*memorySize);</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_en_ble_lp_mode_t<sp />Cy_BLE_HAL_ControllerExitLPMWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_ControllerInitWrapper(<ref kindref="compound" refid="structcy__stc__ble__stack__init__info__t">cy_stc_ble_stack_init_info_t</ref><sp />*initParam);</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_Pilo_InitCalibrationWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_Pilo_TriggerCalibrationWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="92"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_ControllerGetInternalHeapReqWrapper(uint16_t<sp />*memorySize);</highlight></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_StackMgr_BleSSInitWrapper(uint8<sp />persistRadioCal);</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_ControllerResetWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_StackMgr_BleSSShutdownWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_Pilo_ShutdownCalibrationWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__stack__config__param__t">cy_stc_ble_stack_config_param_t</ref>*<sp />Cy_BLE_HAL_StackGetConfigPtrWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />Cy_BLE_HAL_llf_task_start_routineWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />args);</highlight></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_BT_timer_process_signalsWrapper(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*arg);</highlight></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="103"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp />Macros</highlight></codeline>
<codeline lineno="104"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_INTR_TX_SUCCESS<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_INTR_TX_DONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_INTR_TX_OVERFLOW<sp /><sp /><sp /><sp /><sp /><sp />0x01u</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_INTR_RX_SUCCESS<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_INTR_RX_NOT_EMPTY<sp /><sp /><sp /><sp /><sp />0x00u</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_INTR_RX_OVERFLOW<sp /><sp /><sp /><sp /><sp /><sp />0x01u</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_INTR_RX_FRAME_ERROR<sp /><sp /><sp />0x02u</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_INTR_RX_PARITY_ERROR<sp /><sp />0x04u</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /><highlight class="comment">/*<sp />Align<sp />buffer<sp />size<sp />value<sp />to<sp />4<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_STACK_ALIGN_TO_4(x)<sp /><sp /><sp /><sp /><sp /><sp />((((x)<sp />&amp;<sp />3u)<sp />==<sp />0u)<sp />?<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="118"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(x)<sp />:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="119"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(((x)<sp />-<sp />((x)<sp />&amp;<sp />3u))<sp />+<sp />4u))</highlight><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal">}</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_BLE_CY_BLE_STACK_PVT_H<sp /><sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_pvt.h" />
  </compounddef>
</doxygen>